=== debian/changelog ===
sendip (2.6-1) unstable; urgency=low

  * New upstream release.
    * Update Clang patch.
    * Add patch to prevent GCC warning for RIP password code.
    * Update homepage to GitHub.
  * Use system help2man to aid reproducibility on build. Thanks to Chris Lamb.
    (closes: #862195)
  * Bump policy version to 4.5.0
    * Bump debhelper compat level to 12.
    * Set Rules-Requires-Root to no.
    * Add Vcs-* fields to debian/control pointing at Salsa.
    * Move to modern dh based rules file.
    * Put plugins into the correct multiarch lib dir.
  * Update watch file for GitHub.
  * More spelling fixes.
  * Update debian/copyright dates.
  * Remove priority/section headers from binary package in debian/control.

 -- Jonathan McDowell <noodles@earth.li>  Wed, 02 Sep 2020 19:02:43 +0100
