=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Maintainer: Jonathan McDowell <noodles@earth.li>
 Priority: optional
 Section: net
-Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 8)
-Homepage: http://www.earth.li/projectpurple/progs/sendip.html
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), help2man
+Homepage: https://github.com/rickettm/SendIP
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/noodles/sendip
+Vcs-Git: https://salsa.debian.org/noodles/sendip.git
 
 Package: sendip
 Architecture: any
-Priority: optional
-Section: net
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Commandline tool to allow sending arbitrary IP packets
  SendIP has a large number of command line options to specify the
