=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

export LIBDIR=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/sendip
export PREFIX=/usr

%:
	dh $@
