=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sendip-$1\.tar\.gz/ \
  https://github.com/rickettm/SendIP/tags .*/v?(\d\S+)\.tar\.gz
